Bug 198433 - Visualization of insets, remainders and relatives in the grid designer
Visualization of insets, remainders and relatives in the grid designer
Status: RESOLVED FIXED
Product: guibuilder
Classification: Unclassified
Component: Code
7.0
All All
: P3 (vote)
: TBD
Assigned To: Petr Somol
issues@guibuilder
et_5
: PLAN
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-05-08 15:23 UTC by Jan Stola
Modified: 2011-06-02 21:06 UTC (History)
0 users

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Stola 2011-05-08 15:23:48 UTC
The grid designer that replaced the old GridBagCustomizer in NetBeans 6.9 doesn't visualize insets in any way. Hence, it is sometimes hard to find out whether some component doesn't occupy the whole area of its cells beacuse it has some insets assigned or just because the columns/rows are padded.

Similarly, it would be nice to provide some visualization of components with gridwidth/gridheight/gridx/gridy set to REMAINDER or RELATIVE.
Comment 1 Petr Somol 2011-06-01 13:14:01 UTC
implemented in

http://hg.netbeans.org/jet-main/rev/e2cac0e4ba25
Comment 2 Quality Engineering 2011-06-02 21:06:30 UTC
Integrated into 'main-golden', will be available in build *201106021001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/e2cac0e4ba25
User: Petr Somol <psomol@netbeans.org>
Log: #198433 implemented Visualization of insets, remainders and relatives in the grid designer


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo